Skip to main content
GET
/
v1
/
recipients
/
{recipient_id}
// GET https://api.signatureapi.com/v1/recipients/{recipient_id}
// X-API-Key: key_test_...
// HTTP Status 200

{
  "id": "re_26w2VVV5JVm4j459TY5BNM",
  "envelope_id": "52872f0e-b919-4d69-89cd-e7e56af00548",
  "type": "signer",
  "key": "client",
  "name": "Emily Johnson",
  "email": "emily@example.com",
  "status": "completed",
  "status_updated_at": "2025-12-31T15:00:00.000Z",
  "completed_at": "2025-12-31T15:00:00.000Z",
  "delivery_type": "email",
  "signature_options": ["typed", "drawn"],
  "ceremony": {
    "authentication": [
      {
        "type": "email_link",
        "subject_override": null,
        "message_override": null
      }
    ],
    "redirect_url": null,
    "redirect_delay": 3,
    "embeddable_in": [],
    "url_variant": "standard",
    "url": null
  },
  "ceremony_creation": "automatic"
}
Retrieves the details of a recipient, including their current status, ceremony information, and completion timestamp. Use this endpoint to check a recipient’s progress through the signing workflow. The response includes the full recipient object for the recipient’s type (signer, approver, or preparer).

Path Parameters

recipient_id
string
required
The unique identifier of the recipient. Recipient IDs use the re_ prefix.

Returns

Returns a 200 OK status code along with a recipient object if successful, or an error otherwise.
// GET https://api.signatureapi.com/v1/recipients/{recipient_id}
// X-API-Key: key_test_...
// HTTP Status 200

{
  "id": "re_26w2VVV5JVm4j459TY5BNM",
  "envelope_id": "52872f0e-b919-4d69-89cd-e7e56af00548",
  "type": "signer",
  "key": "client",
  "name": "Emily Johnson",
  "email": "emily@example.com",
  "status": "completed",
  "status_updated_at": "2025-12-31T15:00:00.000Z",
  "completed_at": "2025-12-31T15:00:00.000Z",
  "delivery_type": "email",
  "signature_options": ["typed", "drawn"],
  "ceremony": {
    "authentication": [
      {
        "type": "email_link",
        "subject_override": null,
        "message_override": null
      }
    ],
    "redirect_url": null,
    "redirect_delay": 3,
    "embeddable_in": [],
    "url_variant": "standard",
    "url": null
  },
  "ceremony_creation": "automatic"
}